## org.apache.lucene.queryParser.standard.config
Class DefaultOperatorAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.DefaultOperatorAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DefaultOperatorAttribute, org.apache.lucene.util.Attribute

    public class DefaultOperatorAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements DefaultOperatorAttribute

This attribute is used by `GroupQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which is the default boolean operator when no operator is defined between terms.

See Also:
  `DefaultOperatorAttribute`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.queryParser.standard.config.DefaultOperatorAttribute
`DefaultOperatorAttribute.Operator`

Constructor Summary
`DefaultOperatorAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` `equals(java.lang.Object other)`
`DefaultOperatorAttribute.Operator` `getOperator()`
`int` `hashCode()`
`void` `setOperator(DefaultOperatorAttribute.Operator operator)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultOperatorAttributeImpl

    public DefaultOperatorAttributeImpl()

Method Detail

### setOperator

    public void setOperator(DefaultOperatorAttribute.Operator operator)

  Specified by:
    `setOperator` in interface `DefaultOperatorAttribute`

### getOperator

    public DefaultOperatorAttribute.Operator getOperator()

  Specified by:
    `getOperator` in interface `DefaultOperatorAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in class `org.apache.lucene.util.AttributeImpl`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `org.apache.lucene.util.AttributeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.